#
# spec file for uwkxwin-1.0.0.tar.gz for Yopy yp3700 arm processor.
#

%define version 1.0.0
%define name uwkxwin

Summary: Palm Universal Wireless keyboard driver for Yopy yp3700 arm processor.
Name: %{name}
Version: %{version}
Release: 1yp
Copyright: GPL
Group: X11/Utilities
Source: %{name}-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}
URL: http://irkbd.kldp.net
Distribution: Yopy
Vendor: lampo1
Packager: lampo1 <lampo1@paran.com>

%description
Palm Univeral Wireless Keyboard(UWK) driver for linux Yopy yp3700 arm processor.
lampo1@paran.com

%prep
%setup

%build
make yp3700

%install


set -x 
pwd
srcdir="./arch/yopy/yp3700/result"
dstdir=${RPM_BUILD_ROOT}"/usr/share/uwk"
bindir=${RPM_BUILD_ROOT}"/usr/bin"
rcdir=${RPM_BUILD_ROOT}"/etc"
guimenudir=${RPM_BUILD_ROOT}"/usr/share/gnome/apps/Utilities"
pixmapdir=${RPM_BUILD_ROOT}"/usr/share/pixmaps/menu"

mkdir ${RPM_BUILD_ROOT}
mkdir ${RPM_BUILD_ROOT}"/usr"
mkdir ${RPM_BUILD_ROOT}"/usr/share"
mkdir ${RPM_BUILD_ROOT}"/usr/share/uwk"
mkdir ${RPM_BUILD_ROOT}"/usr/share/gnome"
mkdir ${RPM_BUILD_ROOT}"/usr/share/gnome/apps"
mkdir ${RPM_BUILD_ROOT}"/usr/share/gnome/apps/Utilities"
mkdir ${RPM_BUILD_ROOT}"/usr/share/pixmaps"
mkdir ${RPM_BUILD_ROOT}"/usr/share/pixmaps/menu"
mkdir ${RPM_BUILD_ROOT}"/usr/bin"
mkdir ${RPM_BUILD_ROOT}"/etc"


cp ${srcdir}/README* $dstdir
cp ${srcdir}/uwkxwin.desktop $guimenudir
cp ${srcdir}/uwk16x16.xpm $pixmapdir
cp ${srcdir}/uwktip.html $dstdir
cp ${srcdir}/keysetting.html $dstdir
cp ${srcdir}/uwkxwin $bindir
cp ${srcdir}/uwkrc $rcdir

%files
%attr(-, root, root) /usr/share/uwk/README
%attr(-, root, root) /usr/share/uwk/uwktip.html
%attr(-, root, root) /usr/share/uwk/keysetting.html
%attr(-, root, root) /usr/share/gnome/apps/Utilities/uwkxwin.desktop
%attr(-, root, root) /usr/share/pixmaps/menu/uwk16x16.xpm
%attr(-, root, root) /usr/bin/uwkxwin
%attr(-, root, root) /etc/uwkrc

%clean
rm -rf $RPM_BUILD_ROOT          



