#
# spec file for uwkxwin-1.0.0.tar.gz for x86 processor.
#

%define version 1.0.0
%define name uwkxwin

Summary: Palm Universal Wireless keyboard driver for x86 processor.
Name: %{name}
Version: %{version}
Release: 1
Copyright: GPL
Group: X11/Utilities
Source: %{name}-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}
URL: http://irkbd.kldp.net
Distribution: Debian woody
Vendor: lampo1
Packager: lampo1 <lampo1@paran.com>

%description
Palm Universal Wireless Keyboard(UWK) driver for x86 processor.
lampo1@paran.com

%prep
%setup

%build
make woody

%install


set -x 
pwd
srcdir="./arch/linux/debian/woody/result"
dstdir=${RPM_BUILD_ROOT}"/usr/share/uwk"
bindir=${RPM_BUILD_ROOT}"/usr/bin"
rcdir=${RPM_BUILD_ROOT}"/etc"

mkdir ${RPM_BUILD_ROOT}
mkdir ${RPM_BUILD_ROOT}"/usr"
mkdir ${RPM_BUILD_ROOT}"/usr/share"
mkdir ${RPM_BUILD_ROOT}"/usr/share/uwk"
mkdir ${RPM_BUILD_ROOT}"/usr/bin"
mkdir ${RPM_BUILD_ROOT}"/etc"


cp ${srcdir}/README* $dstdir
cp ${srcdir}/*.xpm $dstdir
cp ${srcdir}/uwktip.html $dstdir
cp ${srcdir}/keysetting.html $dstdir
cp ${srcdir}/uwkxwin $bindir
cp ${srcdir}/uwkrc $rcdir

%files
%attr(-, root, root) /usr/share/uwk/README
%attr(-, root, root) /usr/share/uwk/uwktip.html
%attr(-, root, root) /usr/share/uwk/keysetting.html
%attr(-, root, root) /usr/share/uwk/uwk16x16.xpm
%attr(-, root, root) /usr/share/uwk/uwk32x32.xpm
%attr(-, root, root) /usr/bin/uwkxwin
%attr(-, root, root) /etc/uwkrc

%clean
rm -rf $RPM_BUILD_ROOT          



